Opened 9 months ago

Closed 9 months ago

Last modified 9 months ago

#60873 closed update (duplicate)

cegui : update request to 0.8.7 please

Reported by: programmingkidx Owned by: ryandesign (Ryan Schmidt)
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc:
Port: cegui

Description

I am trying to build CEGUI 0.8.7 on Mac OS 10.8. The newest Xcode (version 5.1.1) uses Clang 5.1. When I try to build CEGUI the GLM header file glm/simd/platform.h is included. This header file stops compiling and displays this error message stating that Clang 6 or higher is needed:

"GLM requires Clang 3.4 / Apple Clang 6.0 or higher"

I have the newest version of glm from MacPorts installed (version 0.9.9.5).

I think a simple solution to this problem is to downgrade glm on Mac OS 10.8 and older.

Change History (10)

comment:1 Changed 9 months ago by kencu (Ken)

Why don't you try using a newer compiler? That sounds like it should work.

You would install some version of clang from the MacPorts collection -- try clang-9.0 and if that doesn't build it, use something older and more forgiving like clang-5.0.

You would do this:

sudo port -v install clang-9.0
sudo port -v install cegui configure.compiler=macports-clang-9.0

once you see which compiler works, we can work on fixing the Portfile to reflect that.

comment:2 Changed 9 months ago by programmingkidx

MacPorts only currently offers CEGUI version 0.7.9. The program I am trying to build requires version 0.8.x.

comment:3 Changed 9 months ago by kencu (Ken)

Oh, I see what you're up to -- that's quite a different issue then. let me straighten up your ticket issue a bit, and here's something to get you started:

$ port -v installed cegui
The following ports are currently installed:
  cegui @0.8.7_0 (active) platform='darwin 17' archs='x86_64' date='2020-07-18T13:35:51-0700'

it needs a bit of work to figure out all the new configure args with cmake, but it builds easily (on 10.13) and it's a good place to start maybe:

# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4

PortSystem          1.0
PortGroup           cmake 1.1

name                cegui
version             0.8.7
revision            0
categories          devel
platforms           darwin
maintainers         ryandesign openmaintainer

description         Crazy Eddie’s GUI System

long_description    {*}${description} is a free library for game developers \
                    that provides windowing and widgets for graphics APIs \
                    and engines where such functionality is not natively \
                    available, or is severely lacking.

use_bzip2           yes
homepage            http://www.cegui.org.uk/
master_sites        sourceforge:crayzedsgui

checksums           rmd160  fb034845d6f5631fe3971d6cc651557396a2d804 \
                    sha256  b351e8957716d9c170612c13559e49530ef911ae4bac2feeb2dacd70b430e518 \
                    size    18114465

depends_build       port:pkgconfig

depends_lib         port:expat \
                    port:freeglut \
                    port:freeimage \
                    port:freetype \
                    port:libdevil \
                    port:libxml2 \
                    port:pcre \
                    port:tinyxml \
                    port:xorg-libice \
                    port:xorg-libsm

#patchfiles          patch-cegui-include-CEGUIDynamicModule.h.diff \
#                    patch-cegui-src-CEGUIDynamicModule.cpp.diff

# configure.args      --disable-corona \
#                     --disable-external-glew \
#                     --disable-irrlicht-renderer \
#                     --disable-lua-module \
#                     --disable-ogre-renderer \
#                     --disable-python-module \
#                     --disable-rapidxml \
#                     --disable-samples \
#                     --disable-silly \
#                     --disable-stb \
#                     --disable-tga \
#                     --disable-xerces-c \
#                     --enable-devil \
#                     --enable-freeimage \
#                     --enable-freetype \
#                     --enable-null-renderer \
#                     --enable-pcre \
#                     --enable-tinyxml \
#                     --with-x

#livecheck.regex     /CEGUI-(\[0-9.\]+)${extract.suffix}

comment:4 Changed 9 months ago by kencu (Ken)

Keywords: glm removed
Owner: set to ryandesign
Port: cegui added; glm removed
Status: newassigned
Summary: glm 0.9.9.5 on Mac OS 10.8 causes build failurecegui : update request to 0.8.7 please

comment:5 Changed 9 months ago by kencu (Ken)

Type: defectrequest

comment:6 Changed 9 months ago by kencu (Ken)

I can never remember if an update request is an "update" ticket or a "request" ticket. no doubt it is in a FAQ someplace, and somebody will change it in a few minutes if I guessed wrong (again).

comment:7 Changed 9 months ago by ryandesign (Ryan Schmidt)

Resolution: duplicate
Status: assignedclosed
Type: requestupdate

Duplicate of #60821. I've already got a working cegui port built on my system, I just need to finish it up.

comment:8 Changed 9 months ago by programmingkidx

Hi Ryan. Will your port of CEGUI work on Mac OS 10.8 and older?

comment:9 Changed 9 months ago by ryandesign (Ryan Schmidt)

So far I've only tried it on my main machine running 10.13. If it turns out not to work on other systems, we can look into those issue then.

comment:10 Changed 9 months ago by programmingkidx

I was able to build CEGUI 0.8.7 on Mac OS 10.8. These are some of the things I had to do to make it work:

  • downgrade glm to 0.9.8.5
  • add '-L/opt/local/lib' and '-l iconv' to solve missing symbols
  • add the glm folder to the header search path
  • disable the making of tinyxml. This target would fail to build because a missing symbol in the vtable. I couldn't figure out why it was missing.

Note: I used a generated Xcode project file.

Note: See TracTickets for help on using tickets.